再本地win11使用deployer部署laravel项目到线上报错

1). 当前使用的 Laravel 版本? 8.5

2). 当前使用的 php/php-fpm 版本? PHP 版本:8.0

3). 当前系统

本地是win11 ,部署到测试服务器是centos8系统

2. 问题描述?

具体是在本地的win11系统运行php vender/bin/dep deploy 进行项目部署时报错 

3. 您期望得到的结果?

error in vendors.php on line 31:
[test] run cd /www/wwwroot/deployer/releases/37 && /www/wwwroot/deployer/releases/37/wwwphp /usr/local/bin/composer inst
all –verbose –prefer-dist –no-progress –no-interaction –no-dev –optimize-autoloader 2>&1
[test] Installing dependencies from lock file
[test] Verifying lock file contents can be installed on current platform.
[test] Dependency resolution completed in 0.002 seconds
[test] Package operations: 118 installs, 0 updates, 0 removals
[test] Installs: easywechat-composer/easywechat-composer:1.4.1, league/mime-type-detection:1.11.0, league/flysystem:1.1.
9, box/spout:v3.3.0, dcat/easy-excel:1.1.0, voku/portable-ascii:1.6.1, symfony/polyfill-php80:v1.26.0, symfony/polyfill-
mbstring:v1.26.0, symfony/polyfill-ctype:v1.26.0, phpoption/phpoption:1.8.1, graham-campbell/result-type:v1.0.4, vlucas/
phpdotenv:v5.4.1, symfony/css-selector:v6.0.11, tijsverkoyen/css-to-inline-styles:2.2.4, symfony/var-dumper:v5.4.11, sym
fony/deprecation-contracts:v3.0.2, symfony/routing:v5.4.11, symfony/process:v5.4.11, symfony/polyfill-php72:v1.26.0, sym
fony/polyfill-intl-normalizer:v1.26.0, symfony/polyfill-intl-idn:v1.26.0, symfony/mime:v5.4.11, symfony/polyfill-php73:v
1.26.0, symfony/http-foundation:v5.4.11, psr/event-dispatcher:1.0.0, symfony/event-dispatcher-contracts:v3.0.2, symfony/
event-dispatcher:v6.0.9, psr/log:1.1.4, symfony/error-handler:v5.4.11, symfony/http-kernel:v5.4.11, symfony/finder:v5.4.
11, symfony/polyfill-intl-grapheme:v1.26.0, symfony/string:v6.0.11, psr/container:1.1.2, symfony/service-contracts:v2.5.
2, symfony/console:v5.4.11, symfony/polyfill-iconv:v1.26.0, doctrine/lexer:1.2.3, egulias/email-validator:2.1.25, swiftm
ailer/swiftmailer:v6.3.0, symfony/polyfill-php81:v1.26.0, ramsey/collection:1.2.2, brick/math:0.9.3, ramsey/uuid:4.3.1,
psr/simple-cache:1.0.1, opis/closure:3.6.3, symfony/translation-contracts:v3.0.2, symfony/translation:v6.0.11, nesbot/ca
rbon:2.60.0, monolog/monolog:2.8.0, nette/utils:v3.2.7, nette/schema:v1.2.2, dflydev/dot-access-data:v3.0.1, league/conf
ig:v1.1.1, league/commonmark:2.3.4, laravel/serializable-closure:v1.2.0, webmozart/assert:1.11.0, dragonmantank/cron-exp
ression:v3.3.1, doctrine/inflector:2.0.4, laravel/framework:v8.83.23, spatie/laravel-package-tools:1.12.1, spatie/eloque
nt-sortable:4.0.1, psr/cache:3.0.0, doctrine/event-manager:1.1.1, doctrine/deprecations:v1.0.0, doctrine/cache:1.13.0, d
octrine/dbal:3.3.7, dcat/laravel-admin:2.2.2-beta, asm89/stack-cors:v2.1.1, fruitcake/laravel-cors:v2.2.0, geo-io/interf
ace:v1.0.1, godruoyi/php-snowflake:1.1.1, jmikola/geojson:1.1.1, geo-io/wkb-parser:v1.0.2, grimzy/laravel-mysql-spatial:
4.0.0, symfony/options-resolver:v6.0.3, psr/http-message:1.0.1, psr/http-client:1.0.1, ralouphie/getallheaders:3.0.3, ps
r/http-factory:1.0.1, guzzlehttp/psr7:2.4.0, guzzlehttp/promises:1.5.1, guzzlehttp/guzzle:7.4.5, overtrue/http:1.2.3, gu
anguans/notify:v1.21.0, guanguans/laravel-exception-notify:v1.2.3, mobiledetect/mobiledetectlib:2.8.39, jaybizzle/crawle
r-detect:v1.2.111, jenssegers/agent:v2.6.4, laravel/horizon:v5.9.10, laravel/sanctum:v2.15.1, nikic/php-parser:v4.14.0,
psy/psysh:v0.11.8, laravel/tinker:v2.7.2, laravel-lang/lang:10.9.5, overtrue/laravel-lang:5.0.2, symfony/psr-http-messag
e-bridge:v2.1.2, symfony/var-exporter:v6.0.10, symfony/cache-contracts:v3.0.2, symfony/cache:v6.0.11, pimple/pimple:v3.5
.0, overtrue/socialite:3.5.2, overtrue/wechat:5.29.0, overtrue/laravel-wechat:6.1.0, symfony/filesystem:v6.0.11, neutron
/temporary-filesystem:3.0.1, evenement/evenement:v3.0.1, alchemy/binary-driver:v5.2.0, php-ffmpeg/php-ffmpeg:v0.18.0, ph
pdocumentor/reflection-common:2.2.0, spatie/temporary-directory:2.1.0, spatie/data-transfer-object:3.8.1, phpdocumentor/
type-resolver:1.6.1, spatie/laravel-settings:2.4.2, intervention/image:2.7.2, unisharp/laravel-filemanager:v2.5.1, larav
el/scout:v9.4.10, yab/laravel-scout-mysql-driver:v5.1.0
[test] In Filesystem.php line 268:
[test] [RuntimeException]
[test] /www/wwwroot/deployer/releases/37/vendor does not exist and could not be cr
[test] eated.
[test] Exception trace:
[test] at phar:///usr/local/bin/composer/src/Composer/Util/Filesystem.php:268
[test] Composer\Util\Filesystem->ensureDirectoryExists() at phar:///usr/local/bin/composer/src/Composer/Installer/Librar
yInstaller.php:334
[test] Composer\Installer\LibraryInstaller->initializeVendorDir() at phar:///usr/local/bin/composer/src/Composer/Install
er/LibraryInstaller.php:114
[test] Composer\Installer\LibraryInstaller->download() at phar:///usr/local/bin/composer/src/Composer/Installer/PluginIn
staller.php:69
[test] Composer\Installer\PluginInstaller->download() at phar:///usr/local/bin/composer/src/Composer/Installer/Installat
ionManager.php:353
[test] Composer\Installer\InstallationManager->downloadAndExecuteBatch() at phar:///usr/local/bin/composer/src/Composer/
Installer/InstallationManager.php:282
[test] Composer\Installer\InstallationManager->execute() at phar:///usr/local/bin/composer/src/Composer/Installer.php:76
3
[test] Composer\Installer->doInstall() at phar:///usr/local/bin/composer/src/Composer/Installer.php:281
[test] Composer\Installer->run() at phar:///usr/local/bin/composer/src/Composer/Command/InstallCommand.php:137
[test] Composer\Command\InstallCommand->execute() at phar:///usr/local/bin/composer/vendor/symfony/console/Command/Comma
nd.php:298
[test] Symfony\Component\Console\Command\Command->run() at phar:///usr/local/bin/composer/vendor/symfony/console/Applica
tion.php:1024
[test] Symfony\Component\Console\Application->doRunCommand() at phar:///usr/local/bin/composer/vendor/symfony/console/Ap
plication.php:299
[test] Symfony\Component\Console\Application->doRun() at phar:///usr/local/bin/composer/src/Composer/Console/Application
.php:335
[test] Composer\Console\Application->doRun() at phar:///usr/local/bin/composer/vendor/symfony/console/Application.php:17
1
[test] Symfony\Component\Console\Application->run() at phar:///usr/local/bin/composer/src/Composer/Console/Application.p
hp:130
[test] Composer\Console\Application->run() at phar:///usr/local/bin/composer/bin/composer:88
[test] require() at /usr/local/bin/composer:29
[test] install [–prefer-source] [–prefer-dist] [–prefer-install PREFER-INSTALL] [–dry-run] [–dev] [–no-suggest] [-
-no-dev] [–no-autoloader] [–no-progress] [–no-install] [-v|vv|vvv|–verbose] [-o|–optimize-autoloader] [-a|–classma
p-authoritative] [–apcu-autoloader] [–apcu-autoloader-prefix APCU-AUTOLOADER-PREFIX] [–ignore-platform-req IGNORE-PLA
TFORM-REQ] [–ignore-platform-reqs] [–] […]
[test] exit code 1 (General error)

Laravel

Laravel

《L05 电商实战》
从零开发一个电商项目,功能包括电商后台、商品 & SKU 管理、购物车、订单管理、支付宝支付、微信支付、订单退款流程、优惠券等
《L04 微信小程序从零到发布》
从小程序个人账户申请开始,带你一步步进行开发一个微信小程序,直到提交微信控制台上线发布。
讨论数量: 1

不建议开发环境用windows,wsl docker开发很方便

1周前 评论

讨论应以学习和精进为目的。请勿发布不友善或者负能量的内容,与人为善,比聪明更重要!